En Octobre de l’année passée, une nouvelle a provoqué en moi un émoi incroyable : la version 8 de Drupal était prévue pour Novembre. Ayant déjà testé la version bêta de la 8, je n’en pouvais plus d’attendre. Je comptais les jours et les semaines. Je préparais mes thèmes, mes scripts. J’avais prévu 3 refontes de sites que j’ai développé en drupal 7.

Surprise : le 8 novembre, j’apprend que Drupal n’est pas compatible avec les hébergements mutualisés de mon hébergeur préféré : OVH. Ce message posté sur le forum de OVH m’avait redonné espoir.

Si l’on en croit le site du CMS Drupal (https://www.drupal.org/node/2605142), la version 8 arrive aujourd’hui 18 Novembre.

Pour l’instant, l’hébergement Web mutualisé OVH n’est pas compatible avec leur installation automatisée.

Voici les erreurs renvoyées lors de l’installation :

  • Your MySQL server and PHP MySQL driver must support utf8mb4 character encoding. Make sure to use a database system that supports this (such as MySQL/MariaDB/Percona 5.5.3 and up), and that the utf8mb4 character set is compiled in. See the MySQL documentation for more information.
  • The libmysqlclient driver version 5.1.73 is less than the minimum required version. Upgrade to libmysqlclient version 5.5.3 or up, or alternatively switch mysql drivers to MySQLnd version 5.0.9 or up.

Cause : les libraires utilisées par nos serveurs (libmySQLclient, etc) ne remplissent pas les critères d’acceptation de Drupal 8

Solution : Upgrader le parc. On est dessus, mais la finalisation de cette mise à jour n’est pour l’instant pas prévue avant début 2016

Merci d’être patient d’ici la, on cherche des solutions.

Voilà donc près de 06 mois qu’on attend la fameuse solution de OVH. Pour le moment, quand je l’installe, je suis toujours bloqué à la même étape:

drupal

Toutefois, j’aimerais signaler qu’une installation sur un serveur dédié ou un VPS ( Virtual Private Server) de OVH est parfaitement viable.

Pour le moment, on attend patiemment…enfin IMPATIEMMENT MERDE !!!

Leave a Reply